org.keycloak.protocol.saml

## Class JaxrsSAML2BindingBuilder

- java.lang.Object
- - org.keycloak.saml.BaseSAML2BindingBuilder<JaxrsSAML2BindingBuilder>
  - - org.keycloak.protocol.saml.JaxrsSAML2BindingBuilder

-     public class JaxrsSAML2BindingBuilder
      extends BaseSAML2BindingBuilder<JaxrsSAML2BindingBuilder>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JaxrsSAML2BindingBuilder.PostBindingBuilder`
    `static class` | `JaxrsSAML2BindingBuilder.RedirectBindingBuilder`

    - ### Nested classes/interfaces inherited from class org.keycloak.saml.BaseSAML2BindingBuilder

      `BaseSAML2BindingBuilder.BasePostBindingBuilder, BaseSAML2BindingBuilder.BaseRedirectBindingBuilder`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.BaseSAML2BindingBuilder

      `canonicalizationMethodType, encrypt, encryptionAlgorithm, encryptionKeySize, encryptionPublicKey, logger, relayState, sign, signAssertions, signatureAlgorithm, signingCertificate, signingKeyPair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsSAML2BindingBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JaxrsSAML2BindingBuilder.PostBindingBuilder` | `postBinding(Document document)`
    `JaxrsSAML2BindingBuilder.RedirectBindingBuilder` | `redirectBinding(Document document)`

    - ### Methods inherited from class org.keycloak.saml.BaseSAML2BindingBuilder

      `base64Encoded, buildHtml, buildHtmlPostResponse, canonicalizationMethod, encrypt, encryptDocument, encryptionAlgorithm, encryptionKeySize, generateRedirectUri, getSAMLNSPrefix, relayState, signAssertion, signAssertions, signatureAlgorithm, signDocument, signDocument, signWith, signWith, signWith, signWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsSAML2BindingBuilder

          public JaxrsSAML2BindingBuilder()

  - ### Method Detail

    - #### redirectBinding

          public JaxrsSAML2BindingBuilder.RedirectBindingBuilder redirectBinding(Document document)
                                                                          throws ProcessingException

      Overrides:
        `redirectBinding` in class `BaseSAML2BindingBuilder<JaxrsSAML2BindingBuilder>`
      Throws:
        `ProcessingException`

    - #### postBinding

          public JaxrsSAML2BindingBuilder.PostBindingBuilder postBinding(Document document)
                                                                  throws ProcessingException

      Overrides:
        `postBinding` in class `BaseSAML2BindingBuilder<JaxrsSAML2BindingBuilder>`
      Throws:
        `ProcessingException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.